import { ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors } from '@angular/forms';
import { NgbDate, NgbDateStruct, NgbDatepicker } from '@ng-bootstrap/ng-bootstrap';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { DatePickerService } from './date-picker.service';
export declare class DatePickerComponent implements OnInit, OnChanges, ControlValueAccessor {
    private el;
    private messageUtilService;
    private datePickerService;
    private _render;
    /**
    * @description Parametro de la visualización del texto superior
    * @default true
    * @type boolean
    */
    showLabel: boolean;
    /**
    * @description Texto superion
    * @default null
    * @type any
    */
    label: any;
    /**
    * @description Parametro de autocompletado
    * @default 'off'
    * @type string
    */
    autocomplete: string;
    /**
    * @description Próximo control a hacer focus
    */
    next: any;
    /**
    * @description Próximo control a hacer focus en caso el NEXT esté deshabilitado
    */
    nextIsDisable: any;
    /**
    * @description Anterior control a hacer focus
    */
    back: any;
    /**
    * @description Anterior control a hacer focus en caso el BACK esté deshabilitado
    */
    backIsDisable: any;
    /**
    * @description Parametro de control requerido
    * @default false
    * @type boolean
    */
    required: boolean;
    noAutoCompleteNull: boolean;
    readonly: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    validatorAlert: boolean;
    submitted: boolean;
    labelInfo: boolean;
    textLabelInfo: string;
    minDate: NgbDateStruct;
    maxDate: NgbDateStruct;
    invalid: boolean;
    focusInitial: boolean;
    /**
    * @description Parametro deshabilitar control
    * @default false
    * @type {boolean}
    */
    disabled: boolean;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    input: EventEmitter<any>;
    onchange: EventEmitter<any>;
    blur: EventEmitter<any>;
    value: any;
    controls: any;
    emitValue: NgbDate | string;
    sharedComponentsUtil: SharedComponentsUtil;
    ngbDatepicker: NgbDatepicker | any;
    _tempValue: string;
    _initValue: boolean;
    constructor(el: ElementRef, messageUtilService: MessageUtilService, datePickerService: DatePickerService, _render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouch: () => void;
    focus: () => void;
    onFocus(evt: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled?: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    onBlur(): void;
    onInput(value: any): void;
    onKeyUpEnter(): void;
    onlyNumbers(e: any): void;
    strDateToNgbDate(value: any): NgbDate;
    ngbDatetoString(value: NgbDateStruct): NgbDate | string;
    enterKeyUp(): void;
    arrowUpKeyUp(): void;
    focusOut(value: any): void;
}
