import { DatePipe } from '@angular/common';
import { ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, FormControl, ValidationErrors } from '@angular/forms';
import { NgbCalendar, NgbInputDatepicker } from '@ng-bootstrap/ng-bootstrap';
import { formatHour } from '../utils/models/DateTimePickerEditable';
import { DateTimePickerEditableService } from './date-time-picker-editable.service';
export declare class DateTimePickerMaterialComponent implements OnInit, ControlValueAccessor, OnChanges {
    private datePipe;
    private calendar;
    private dateTimePickerEditableService;
    private cdrf;
    inputDateTime: any;
    btnOpen: ElementRef;
    btnClean: ElementRef;
    ngbDatepicker: NgbInputDatepicker;
    /**
    * @description Texto superion
    * @default null
    * @type any
    */
    label: string;
    /**
    * @description Parametro de la visualización del texto superior
    * @default true
    * @type boolean
    */
    showLabel: boolean;
    readonly: boolean;
    /**
    * @description Parametro de control requerido
    * @default false
    * @type boolean
    */
    required: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    submitted: boolean;
    /**
    * @description Parametro de formato de fecha: 12 | 14
    * @default 24
    * @type 12 | 14
    */
    format: formatHour;
    /**
    * @description Próximo control a hacer focus
    */
    next: any;
    /**
    * @description Próximo control a hacer focus en caso el NEXT esté deshabilitado
    */
    nextIsDisable: any;
    labelInfo: boolean;
    textLabelInfo: string;
    /**
    * @description Anterior control a hacer focus
    */
    back: any;
    /**
    * @description Anterior control a hacer focus en caso el BACK esté deshabilitado
    */
    backIsDisable: any;
    openWhenFocus: boolean;
    goNextWhenSelect: boolean;
    /**
    * @description Parametro para mostrar el botón de eliminar
    * @default false
    * @type boolean
    */
    clearable: boolean;
    /**
    * @description Parametro de autocompletado:
    * True: autocompleta con la hora ó minuto actual
    * False: autocompleta con 00:00
    * @default false
    * @type boolean
    */
    autoCompleteHours: boolean;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    onChange: (_: any) => void;
    onTouch: () => void;
    onValidationChange: () => void;
    disabled: boolean;
    controls: AbstractControl;
    contador: number;
    position: number;
    dateTimeControl: FormControl;
    hoursControl: FormControl;
    dateControl: FormControl;
    today: import("@ng-bootstrap/ng-bootstrap").NgbDate;
    get stringFormat(): string;
    constructor(datePipe: DatePipe, calendar: NgbCalendar, dateTimePickerEditableService: DateTimePickerEditableService, cdrf: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    focus(): void;
    focusOut(event: any): void;
    focusOutInput(): void;
    onFocus(input: HTMLInputElement): void;
    onClick(e: Event, input: HTMLInputElement): void;
    onBlur(): void;
    onKeyUp(e: any): void;
    limpiar(): void;
    preventDefault(e: any): boolean;
    writeValue(obj: any): void;
    hoursChange(): void;
    dateChange(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    onEmit(emitValue?: any): void;
    open(d: NgbInputDatepicker): void;
    goNext(): void;
    goBack(): void;
    limpiarTodo(): void;
}
