import { DatePipe } from '@angular/common';
import { ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors } from '@angular/forms';
import { NgbCalendar, NgbDateStruct, NgbInputDatepicker, NgbTimeStruct, NgbTimepicker } from '@ng-bootstrap/ng-bootstrap';
import { DateTimePickerService } from './date-time-picker.service';
export declare class DateTimePickerComponent implements OnInit, OnChanges, ControlValueAccessor {
    private calendar;
    private datePipe;
    private dateTimePickerService;
    private _render;
    /**
  * @description Formato de la fecha:
  * 'dd/MM/yyyy HH:mm' - 'dd/MM/yyyy HH:mm:ss' - 'M/d/yyyy H:mm:ss'
  * @default 'dd/MM/yyyy HH:mm'
  * @type {string}
  */
    inputDatetimeFormat: string;
    /**
  * @description Texto superion
  * @default null
  * @type any
  */
    label: string;
    /**
  * @description Parametro de la visualización del texto superior
  * @default true
  * @type boolean
  */
    showLabel: boolean;
    readonly: boolean;
    /**
  * @description Parametro de control requerido
  * @default false
  * @type boolean
  */
    required: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    submitted: boolean;
    /**
    * @description Próximo control a hacer focus
    */
    next: any;
    /**
    * @description Próximo control a hacer focus en caso el NEXT esté deshabilitado
    */
    nextIsDisable: any;
    /**
  * @description Anterior control a hacer focus
  */
    back: any;
    /**
  * @description Anterior control a hacer focus en caso el BACK esté deshabilitado
  */
    backIsDisable: any;
    labelInfo: boolean;
    textLabelInfo: string;
    openWhenFocus: boolean;
    goNextWhenSelect: boolean;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    ngbDatepicker: NgbInputDatepicker;
    timePicker: NgbTimepicker;
    btnOpen: ElementRef;
    btnClean: ElementRef;
    controls: AbstractControl;
    today: import("@ng-bootstrap/ng-bootstrap").NgbDate;
    date: NgbDateStruct | any;
    time: NgbTimeStruct;
    input: any;
    isDisabled: boolean;
    _tempValue: string | null;
    _initValue: boolean;
    constructor(calendar: NgbCalendar, datePipe: DatePipe, dateTimePickerService: DateTimePickerService, _render: Renderer2);
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouch: () => void;
    focus: () => void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    focusOut(event: any): void;
    onModelDateChange(evt: NgbDateStruct | NgbTimeStruct): void;
    limpiar(): void;
    writeValue(newModel: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    open(d: NgbInputDatepicker): void;
    goNext(): void;
    goBack(): void;
}
