import { ChangeDetectorRef, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { ColumnApi, GridApi } from 'ag-grid-community';
import { Observable, Subscription } from 'rxjs';
import { ScAgGridCustomizableComponent } from '../sc-ag-grid';
export declare class DialogAgGridSearchComponent implements OnInit {
    private dialogRef;
    private cdrf;
    btnAceptar: ElementRef;
    btnCancelar: ElementRef;
    elTxtBuscar: ElementRef;
    agGrid: ScAgGridCustomizableComponent;
    onSelectRow: EventEmitter<any>;
    rowData: Observable<any[]>;
    columnDefs: any[];
    columnDefsActions: any[];
    tittle: string;
    txtBuscar: FormControl;
    $subscriptiontxtBuscar: Subscription;
    /** BEGIN: Config Ag-Grid */
    rowSelection: string;
    gridApi: any;
    gridColumnApi: any;
    rowDataSubscription: Subscription;
    overlayNoRowsTemplate: string;
    overlayLoadingTemplate: string;
    /** END: Config Ag-Grid */
    /** BEGIN: Pagination */
    elbPageSize: ElementRef;
    elbCurrentPage: ElementRef;
    elbTotalPages: ElementRef;
    pagination: boolean;
    paginationPageSize: number;
    pageFound: boolean;
    paginas: number[];
    desde: number;
    hasta: number;
    /** END: Pagination */
    constructor(dialogRef: MatDialogRef<DialogAgGridSearchComponent>, cdrf: ChangeDetectorRef, data: any);
    ngOnInit(): void;
    selectFirstSearch(): void;
    focusLastRow(): void;
    onCellKeyPress(e: any): void;
    guardar(): void;
    closeDialog(): void;
    /** BEGIN: Events Config Ag-Grid */
    onGridReady(gridApi: GridApi, gridColumnApi: ColumnApi): void;
    /** END: Events Config Ag-Grid */
    /** BEGIN: Events de desplazamiento en ag-grid */
    onPaginationChanged(): void;
    onBtFirst(): void;
    onBtPrevious(): void;
    onBtNext(): void;
    onBtLast(): void;
    onPageSizeChanged(evt: any): void;
    onGoToPage(page: any): void;
    /** END: Events de desplazamiento en ag-grid */
    /** BEGIN: UTILS  */
    initRowData(): void;
    autoSizeColumns(): void;
}
