import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors } from '@angular/forms';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { InputNumberService } from './input-number.service';
export declare class InputNumberComponent implements OnInit, AfterViewInit, OnChanges, ControlValueAccessor {
    private messageUtilService;
    private inputNumberService;
    private _render;
    showLabel: boolean;
    label: any;
    btnEnable: boolean;
    autocomplete: string;
    bold: boolean;
    decimals: number;
    formatCero: boolean;
    maxLength: any;
    next: any;
    nextIsDisable: any;
    back: any;
    backIsDisable: any;
    required: boolean;
    disabled: boolean;
    readonly: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    submitted: boolean;
    labelInfo: boolean;
    textLabelInfo: string;
    validatorAlert: boolean;
    setNgClass: string;
    placeholder: string;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    change: EventEmitter<any>;
    onchange: EventEmitter<any>;
    blur: EventEmitter<any>;
    onfocus: EventEmitter<any>;
    onfocusout: EventEmitter<any>;
    inputText: ElementRef<HTMLInputElement>;
    sharedComponentsUtil: SharedComponentsUtil;
    format: string;
    controls: AbstractControl;
    value: any;
    valueEmit: any;
    _initValue: boolean;
    constructor(messageUtilService: MessageUtilService, inputNumberService: InputNumberService, _render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouch: () => void;
    focus: () => void;
    onBlur(value: any): void;
    onFocus(evt: any): void;
    onInput(evt: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    formatNumber(value: any): string | number | null;
    emitValue(value: any): number | null;
    enterKeyUp(): void;
    arrowUpKeyUp(): void;
    onFocusOut(evt: any): void;
    clickEnable(): void;
}
