import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors } from '@angular/forms';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { InputTextService } from './input-text.service';
export declare type Type = 'text' | 'password' | 'email';
export declare type Format = 'M' | 'm' | 'Mn';
export declare class InputTextComponent implements OnInit, OnChanges, AfterViewInit, ControlValueAccessor {
    private messageUtilService;
    private inputTextService;
    private _render;
    format: string;
    type: Type;
    showLabel: boolean;
    label: any;
    btnEnable: boolean;
    autocomplete: string;
    bold: boolean;
    inputMask: string | null;
    showMaskTyped: boolean;
    next: any;
    nextIsDisable: any;
    back: any;
    backIsDisable: any;
    required: boolean;
    textRight: boolean;
    disabled: boolean;
    readonly: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    maxLength: any;
    submitted: boolean;
    validatorAlert: boolean;
    setNgClass: string;
    patterns: any;
    placeholder: string;
    labelInfo: boolean;
    textLabelInfo: string;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    change: EventEmitter<any>;
    blur: EventEmitter<any>;
    onfocus: EventEmitter<any>;
    onchange: EventEmitter<any>;
    onfocusout: EventEmitter<any>;
    _inputText: ElementRef<HTMLInputElement>;
    controls: AbstractControl;
    value: any;
    sharedComponentsUtil: SharedComponentsUtil;
    _initValue: boolean;
    showPassword: boolean;
    constructor(messageUtilService: MessageUtilService, inputTextService: InputTextService, _render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    get nativeElement(): HTMLInputElement;
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouch: () => void;
    focus: () => void;
    onBlur(value: string): void;
    onFocus(value: string): void;
    onInput(value: string): void;
    writeValue(value: any): void;
    registerOnChange(fn: (v: any) => void): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    formatInput(value: string): string;
    enterKeyUp(): void;
    arrowUpKeyUp(): void;
    onFocusOut(evt: any): void;
    clickEnable(): void;
    clickShowPassword(): void;
}
