import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { AbstractControl, ValidationErrors } from '@angular/forms';
import { MatDialog } from '@angular/material/dialog';
import { NgSelectComponent } from '@ng-select/ng-select';
import { Observable } from 'rxjs';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { ValidateUtil } from '../utils/classes/ValidateUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { NgSelectSimpleService } from './ng-select-simple.service';
export declare class SearchParams {
    columnDefs: ColumnDefs[];
    title: string;
    width: string;
    rowData: Observable<any[]>;
    constructor(columnDefs?: ColumnDefs[], title?: string, width?: string, rowData?: Observable<any[]>);
}
export declare class ColumnDefs {
    headerName?: string;
    field?: string;
    width?: string;
    cellRenderer?: any;
    valueGetter?: (field: any) => string | string;
    sortable?: boolean;
    resizable?: boolean;
    cellClass?: string[];
    cellStyle?: {};
    valueFormatter?: any;
    pinned?: string;
}
export declare class NgSelectSimpleComponent implements OnInit, OnChanges, OnDestroy {
    private messageUtilService;
    dialog: MatDialog;
    private ngSelectSimpleService;
    ngSelectSimple: NgSelectComponent;
    btnSearch: ElementRef;
    showLabel: boolean;
    label: any;
    autocomplete: string;
    next: any;
    nextIsDisable: any;
    back: any;
    backIsDisable: any;
    required: boolean;
    disabled: boolean;
    readonly: boolean;
    validatorMessage: boolean;
    tooltipMessage: boolean;
    openWhenFocus: boolean;
    searchBy: string;
    markFirstItem: boolean;
    markWhenHaveOneItem: boolean;
    submitted: boolean;
    setNgClass: string;
    searchable: boolean;
    validatorAlert: boolean;
    upperCase: boolean;
    templateLabel: TemplateRef<any> | null;
    appendTo: string;
    items: Observable<any[]>;
    loading: boolean;
    loadingText: string;
    clearAllText: string;
    notFoundText: string;
    markFirst: boolean;
    clearable: boolean;
    clearOnBackspace: boolean;
    virtualScroll: boolean;
    openOnEnter: boolean;
    refresh: boolean;
    search: boolean;
    searchParams: SearchParams;
    labelInfo: boolean;
    textLabelInfo: string;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    change: EventEmitter<any>;
    blur: EventEmitter<any>;
    onfocus: EventEmitter<any>;
    onrefresh: EventEmitter<any>;
    onsearch: EventEmitter<any>;
    validateUtil: ValidateUtil;
    sharedComponentsUtil: SharedComponentsUtil;
    allItems: never[];
    _value: any;
    controls: any;
    private items$;
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouched: () => void;
    focus: () => void;
    close: () => void;
    constructor(messageUtilService: MessageUtilService, dialog: MatDialog, ngSelectSimpleService: NgSelectSimpleService);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    carga(): Promise<void>;
    ngOnInit(): void;
    getObject(obj: any, key: any): any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    eventChange(e: any): void;
    eventBlur(e: any): void;
    eventFocus(e: any): void;
    eventSearch(e: any): void;
    enterKeyUp(): void;
    leftKeyUp(): void;
    clear(): void;
    onRefresh(): void;
    onSearch(): Promise<void>;
    f2KeyUp(): void;
}
