import { ChangeDetectorRef } from '@angular/core';
import { FormControl, ValidatorFn } from '@angular/forms';
import { AgEditorComponent } from 'ag-grid-angular';
import { ICellEditorParams } from 'ag-grid-community';
import { Observable } from 'rxjs';
export interface ConfigControl {
    required: boolean;
    label: string;
    typeControl: TypeControl;
    inputMask: string;
    textRight: boolean;
    formatCero: boolean;
    maxLength: number;
    decimals: number;
    clearable: boolean;
}
export interface ParamsContainerComponents extends ICellEditorParams {
    width: string;
    items: Observable<any>;
    defaultValue: (data: any) => any;
    validatorsCellEditor: ValidatorFn[] | ValidatorFn;
    fieldValid: string;
    configControl: ConfigControl;
}
export declare enum TypeControl {
    INPUT_TEXT = "input-text",
    INPUT_NUMBER = "input-number",
    NG_SELECT_SIMPLE = "ng-select-simple",
    NG_SELECT_MULTIPLE = "ng-select-multiple",
    DATE_PICKER = "date-picker",
    DATE_TIME_PICKER_EDITABLE = "date-time-picker-editable"
}
export declare class ContainerSharedComponent implements AgEditorComponent {
    private cdRef;
    set control(v: any);
    value: any;
    params: Partial<ParamsContainerComponents>;
    label: string;
    width: string;
    items: Observable<never[]>;
    defaultValue: string | null;
    validators: ValidatorFn[] | ValidatorFn;
    required: boolean;
    inputMask: string;
    textRight: boolean;
    decimals: number;
    formatCero: boolean;
    clearable: boolean;
    maxLength: number | undefined;
    typeControl: TypeControl | null;
    formControl: FormControl;
    constructor(cdRef: ChangeDetectorRef);
    agInit(params: ICellEditorParams): void;
    getValue(): any;
    detec(event: KeyboardEvent): void;
    isPopup(): boolean;
    onClick(happy: boolean): void;
    onKeyDown(event: KeyboardEvent): void;
    onFocusOut(): void;
}
