import { MatMenu } from '@angular/material/menu';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';
import { ConfigButtonAgGrid, DisabledFuc, EnumButtonType, HideFuc, SubMenu, TooltipOption } from '../../../utils/models/sc-ag-grid.interface';
export declare class ScCellRenderButtonService {
    private _handlerButtonAction$;
    handlerButtonAction$: import("rxjs").Observable<{
        index: number;
        action: string;
    }>;
    buttonAction(option: {
        index: number;
        action: string;
    }): void;
}
declare abstract class ScCellRenderBase {
    params: ICellRendererParams;
    isFunctionDisabled(value: boolean | DisabledFuc | undefined): boolean;
    isFunctionHide(value: boolean | HideFuc): boolean;
}
export declare class ScMenuPanelComponent extends ScCellRenderBase {
    private readonly _scCellRenderButtonService;
    idScMenuPanel: string;
    menu: MatMenu;
    subMenus: SubMenu[];
    params: ICellRendererParams;
    constructor(_scCellRenderButtonService: ScCellRenderButtonService);
    onButtonActionEmit(action: string): void;
}
export declare class ScCellRendererButtonComponent extends ScCellRenderBase implements ICellRendererAngularComp {
    idScCellRenderButton: string;
    params: ICellRendererParams;
    configButtons: ConfigButtonAgGrid[];
    agInit(params: ICellRendererParams): void;
    onButtonAction(typeButton: EnumButtonType | string): void;
    refresh(_: any): boolean;
    hideSubMenu(subMenu: SubMenu[]): boolean;
    getTooltipOption(configButtons: ConfigButtonAgGrid): TooltipOption;
}
export {};
