import { Directionality } from '@angular/cdk/bidi';
import { CdkStepper } from '@angular/cdk/stepper';
import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
export declare type LabelType = {
    id?: number;
    title: string;
    subtitle?: string;
    subtitleStyleActive?: {
        [klass: string]: any;
    } | null;
    subtitleClassActive?: string | string[] | Set<string> | {
        [klass: string]: any;
    };
    disabled?: boolean;
    visibility?: boolean;
};
export declare class ScWizardComponent extends CdkStepper {
    private changeDetectorRef;
    private readonly _scWizardContainer;
    clickStepEmit: EventEmitter<number>;
    hasAutoFillSteps: boolean;
    hasSkeleton: boolean;
    showArrows: boolean;
    subWizard: boolean;
    baseSubWizard: number;
    get totalSteps(): number;
    get isFirstStep(): boolean;
    get isLastStep(): boolean;
    constructor(dir: Directionality, changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef<HTMLElement>, document: any);
    selectStepByIndex(index: number): void;
    convertLabelToType(label: string): LabelType;
}
