import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { AbstractControl, ControlValueAccessor, ValidationErrors } from '@angular/forms';
import { SharedComponentsUtil } from '../utils/classes/SharedComponentsUtil';
import { MessageUtilService } from '../utils/service/message-util.service';
import { TextAreaService } from './text-area.service';
export declare class TextAreaComponent implements OnInit, OnChanges, AfterViewInit, ControlValueAccessor {
    private messageUtilService;
    private textAreaService;
    private _render;
    format: string;
    showLabel: boolean;
    label: any;
    maxLength: null;
    readonly: boolean;
    next: any;
    nextIsDisable: any;
    back: any;
    backIsDisable: any;
    required: boolean;
    validatorMessage: boolean;
    validatorAlert: boolean;
    tooltipMessage: boolean;
    submitted: boolean;
    cols: number | any;
    rows: number | any;
    height: string;
    width: string;
    disabled: boolean;
    placeholder: string;
    labelInfo: boolean;
    textLabelInfo: string;
    change: EventEmitter<any>;
    onchange: EventEmitter<any>;
    blur: EventEmitter<any>;
    onfocus: EventEmitter<any>;
    onNext: EventEmitter<any>;
    onBack: EventEmitter<any>;
    textArea: ElementRef<HTMLTextAreaElement>;
    controls: any;
    value: any;
    sharedComponentsUtil: SharedComponentsUtil;
    _initValue: boolean;
    constructor(messageUtilService: MessageUtilService, textAreaService: TextAreaService, _render: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onChange: (_: any) => void;
    onValidationChange: () => void;
    onTouch: () => void;
    focus: () => void;
    onBlur(value: string): void;
    onFocus(evt: any): void;
    onInput(evt: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    validate(control: AbstractControl): ValidationErrors | any;
    registerOnValidatorChange?(fn: () => void): void;
    formatInput(value: any): any;
    ArrowRight(e: any): void;
    ArrowLeft(e: any): void;
}
