import { NgOption } from '@ng-select/ng-select';
export declare type DateFormat = 'ISO' | 'ISODATE' | 'ISODATETIME_NO_TIMEZONE' | 'ISODATETIME_NO_TIMEZONE_NO_SEC' | 'DATE' | 'DATE_GUION' | 'ISODATETIME_MAXHOURS' | 'DATETIME' | 'DATETIME_NO_SEC' | 'TIME' | 'MASK_24_HOURS' | 'MASK_12_HOURS' | 'MIDDAY_INDICATOR';
export declare class DateUtil {
    private static readonly dateRegex;
    private static readonly timeRegex;
    private static readonly ISO8601;
    private static readonly isoNoSec;
    private static readonly DATE_FORMATS;
    static MONTHS: string[];
    static now(format?: DateFormat): string;
    static parse(date: string, format: DateFormat): Date;
    static format(date: Date, format: DateFormat): string;
    static isValidDatePickerValue(value: string): boolean;
    static isValid(date: string | Date | number): boolean;
    static isAfter(date: string | Date, dateToCompare: string | Date): boolean;
    static subDays(date: string | Date, days: number): Date;
    static addDays(date: string | Date, days: number): Date;
    static toStrFormat(date: string | Date, targetFormat: DateFormat): string;
    static toDate(date: string | Date): Date;
    static diffDays(later: string | Date, earlier: string | Date): number;
    static getYear(date?: string | Date): number;
    static getMonth(date?: string | Date): number;
    static getDay(date?: string | Date): number;
    static getHours(date?: string | Date): number;
    static getMinutes(date?: string | Date): number;
    static getSeconds(date?: string | Date): number;
    static startOfMonth(targetFormat?: DateFormat): string;
    static endOfMonth(fchIni?: string | Date, targetFormat?: DateFormat): string;
    static formatDistance(dateStr: string | Date): string;
    static getFormat(dateStr: string): DateFormat;
    static getNgOptionList(): NgOption[];
    static validatorFecha(fch: string): {
        valid: boolean;
        errfch: string;
    };
    static dateAutoComplete(fecha: any): string;
}
