import { ICellRendererParams, RowClassParams } from 'ag-grid-community';
export declare enum EnumButtonType {
    TYPE_NONE = "TYPE_NONE",
    TYPE_EDIT = "TYPE_EDIT",
    TYPE_DELETE = "TYPE_DELETE"
}
export interface RowStyle {
    [cssProperty: string]: string;
}
export declare type GetRowStyle = (params: RowClassParams) => RowStyle | undefined;
export interface DisabledFuc {
    (params: ICellRendererParams): boolean;
}
export interface HideFuc {
    (params?: ICellRendererParams): boolean;
}
export declare type RowSelection = 'multiple' | 'single';
export interface SubMenu {
    actionCode: EnumButtonType | string;
    label: string;
    icon?: string;
    iconClass?: string;
    disabled?: boolean | DisabledFuc;
    hide?: boolean | HideFuc;
    submenu?: SubMenu[];
}
export interface TooltipOption {
    label: string;
    classList?: string;
}
export interface ButtonOption {
    classList?: string;
}
export interface IconOption {
    icon: string;
    classList?: string;
}
export interface ButtonHeader {
    visible: boolean;
    disabled?: boolean;
    allowTypeFiles?: string;
}
export interface PropertyButtonHeader {
    visible: boolean;
    disabled: boolean;
}
export interface ConfigButtonAction {
    header?: ConfigButtonHeader;
    agGrid?: {
        actions: ConfigButtonAgGrid[];
    };
}
export interface ConfigButtonAgGrid {
    actionCode: EnumButtonType | string;
    tooltipOption: TooltipOption | ((params: ICellRendererParams) => TooltipOption);
    buttonOption?: ButtonOption;
    iconOption: IconOption;
    disabled?: boolean | DisabledFuc;
    hide?: boolean | HideFuc;
    submenu?: SubMenu[];
}
export interface ConfigButtonHeader {
    disabled?: boolean;
    submenu?: SubMenu[];
}
